Get Contactable Inboxes
Get List of contactable Inboxes
GET
/
api
/
v1
/
accounts
/
{account_id}
/
contacts
/
{id}
/
contactable_inboxes
Get Contactable Inboxes
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/contacts/{id}/contactable_inboxes \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/contacts/{id}/contactable_inboxes"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/contacts/{id}/contactable_inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/contacts/{id}/contactable_inboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/contacts/{id}/contactable_inboxes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": [
{
"inbox": {
"id": 2,
"avatar_url": "https://app.tied.com/rails/active_storage/blobs/proxy/EXAMPLE/avatar.png",
"channel_id": 1,
"name": "Google RCS",
"channel_type": "Channel::Sms",
"provider": "default"
},
"source_id": "sr_example"
},
{
"inbox": {
"id": 3,
"avatar_url": "https://app.tied.com/rails/active_storage/blobs/proxy/EXAMPLE/avatar.png",
"channel_id": 1,
"name": "WhatsApp",
"channel_type": "Channel::Whatsapp",
"provider": "whatsapp_cloud"
},
"source_id": "14155550198"
}
]
}{
"error": "Resource could not be found"
}{
"message": "Url has already been taken",
"attributes": [
"url"
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
ID of the contact
Response
Success
List of contactable inboxes for the contact
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get Contactable Inboxes
curl --request GET \
--url https://app.tied.com/api/v1/accounts/{account_id}/contacts/{id}/contactable_inboxes \
--header 'api_access_token: <api-key>'import requests
url = "https://app.tied.com/api/v1/accounts/{account_id}/contacts/{id}/contactable_inboxes"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.tied.com/api/v1/accounts/{account_id}/contacts/{id}/contactable_inboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/api/v1/accounts/{account_id}/contacts/{id}/contactable_inboxes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/api/v1/accounts/{account_id}/contacts/{id}/contactable_inboxes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": [
{
"inbox": {
"id": 2,
"avatar_url": "https://app.tied.com/rails/active_storage/blobs/proxy/EXAMPLE/avatar.png",
"channel_id": 1,
"name": "Google RCS",
"channel_type": "Channel::Sms",
"provider": "default"
},
"source_id": "sr_example"
},
{
"inbox": {
"id": 3,
"avatar_url": "https://app.tied.com/rails/active_storage/blobs/proxy/EXAMPLE/avatar.png",
"channel_id": 1,
"name": "WhatsApp",
"channel_type": "Channel::Whatsapp",
"provider": "whatsapp_cloud"
},
"source_id": "14155550198"
}
]
}{
"error": "Resource could not be found"
}{
"message": "Url has already been taken",
"attributes": [
"url"
]
}